Spree Commerce

Try It Now

Rails 2.3 Support

Posted on March 23, 2009 by Sean Schofield

The upcoming version of Spree will feature Rails 2.3.x support. We’ve upgraded the edge version of the source code and the basic functionality appears to be fine. The new version of Rails includes lots of goodies that we will soon be taking advantage of.

Rails 2.3 has some interesting support for engines which are very similar to Spree extensions. We’re taking a “wait and see” approach with Engines right now. Engines do not support all of the features that we require for extensions and there is talk of further changes in the upcoming Rails 3.0 release.

Please report any bugs you may encounter working with this code. We suspect there are some possible Rails 2.3 issues out there yet to be discovered.